/// <reference types="react" />
import { BaseWidget } from '@tinystacks/ops-core';
import { JsonFilter as JsonFilterProps } from './ops-types.js';
export declare class JsonFilter extends BaseWidget {
    static type: string;
    jsonObject: {
        [key: string]: any;
    };
    paths: {
        pathDisplayName: string;
        path: string;
    }[];
    filteredJson: {
        pathDisplayName: string;
        json: string;
    }[];
    constructor(props: JsonFilterProps);
    static fromJson(object: JsonFilterProps): JsonFilter;
    toJson(): JsonFilterProps;
    getData(): void;
    render(): JSX.Element;
}
