/// <reference types="react" />
import { BaseWidget } from '@tinystacks/ops-core';
import { Widget } from '@tinystacks/ops-model';
import { Tabs as TabsProps } from './ops-types.js';
export declare class Tabs extends BaseWidget {
    tabNames: string[];
    constructor(props: TabsProps);
    static fromJson(object: Widget): Tabs;
    toJson(): TabsProps;
    getData(): void;
    render(children?: (Widget & {
        renderedElement: JSX.Element;
    })[]): JSX.Element;
}
